EDIT - bug #7371

Deleting Polytomous Key throws NPE
04/26/2018 03:12 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal Found in Version:

Description

What | did:

1. created new Polytomous Key
2. created 2 PK nodes (second was an alternative)
3. delete key => exception

login : admin
editor version : 4.15.0.201804260548
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 4.7.0.0.201710040000
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.eclipse.ed.core.di.InjectionException: java.lang.NullPointerException

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:288)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:
132)

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler.
java:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.e4d.ui.workbench.renderers.swt.HandledContributionItem.executeltem
HandledContributionItem. java:433)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (
AbstractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (
AbstractContributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:
1022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (
EclipseAppLauncher. java:134)
37 more

Associated revisions

Revision de550782 - 08/29/2018 12:23 PM - Katja Luther

fix #7371: fix NPE when deleting polytomous key

History

#1 - 04/26/2018 03:13 PM - Andreas Miiller

- Priority changed from New to Highest

#2 - 08/29/2018 12:23 PM - Katja Luther

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|de55078200c8f2e52f4784ed9aabb1c6611ddb86.

#3 - 08/29/2018 12:23 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.3

please review

#4 - 09/05/2018 12:21 PM - Andreas Miller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

| still get

login

editor version

server

schema version

admin

5080l

test.e-taxonomy.eu (edit-test) / rem_conf_am

5.0.0.0.20180514

os : Windows Server 2012 R2 6.3 amd64

java

1.8.0_121

org.eclipse.ed.core.di.InjectionException: java.lang.NullPointerException
at org.eclipse.e4d.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)

at org.eclipse.ed4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:288)
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/de55078200c8f2e52f4784ed9aa6b1c6611ddb86
with the above setting.

#5 - 09/05/2018 12:22 PM - Andreas Miuller

- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

... upps sorry, looks like | tested with production on test server , will test again

#6 - 09/05/2018 12:37 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

Works fine with nightly.

#7 - 09/05/2018 12:37 PM - Andreas Miiller
- % Done changed from 50 to 100
